WordPress.org

Make WordPress Core

Opened 6 years ago

Closed 5 years ago

Last modified 5 years ago

#27946 closed enhancement (fixed)

Suspicious comment in class-smtp.php

Reported by: ticktoo Owned by: nacin
Milestone: 4.1 Priority: normal
Severity: normal Version: 3.9
Component: External Libraries Keywords:
Focuses: Cc:
PR Number:

Description

No big thing, but annoying: wp-includes/class-smtp.php, line 412:

hacked by Lance Rushing

"hacked by" is a common filter criteria for several tools in multiuser-hosting environments. Since the last (Auto-)Update of Wordpress, many customer's installations throw a warning because of a automated scanner finds this wording. I think that's kind of unprofessional and should be removed or replaced.

Thanks.
Sebastian

Change History (4)

#1 @helen
6 years ago

  • Component changed from Mail to External Libraries
  • Version changed from 3.8.3 to 3.9

This comes from PHPMailer and appears to have been there for quite a while (December 2012): https://github.com/PHPMailer/PHPMailer/commit/5c70a370e2b09daa97d46e3fc4153a25f1a32207#diff-ac5c95a7c256b389656048bd46dc2985R477

That said, though, this came into core in [27385] for 3.9.

#2 @zodiac1978
5 years ago

I have send them a pull request:
https://github.com/PHPMailer/PHPMailer/pull/274

Edit: Is merged.

Last edited 5 years ago by zodiac1978 (previous) (diff)

#3 @nacin
5 years ago

  • Owner set to nacin
  • Resolution set to fixed
  • Status changed from new to closed

In 29783:

PHPMailer: Merge upstream commit (PR274).

props zodiac1978.
fixes #27946.

#4 @helen
5 years ago

  • Milestone changed from Awaiting Review to 4.1
Note: See TracTickets for help on using tickets.